Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point:

## Public Member Functions
std::vector< uint8_t > | BER_encode () const
void | decode_from (class BER_Decoder &) override
void | encode_into (class DER_Encoder &) const override
const AlternativeName & | point () const

## Detailed Description

Definition at line 664 of file x509_ext.h.

## Member Function Documentation

std::vector< uint8_t > Botan::ASN1_Object::BER_encode | ( |  | ) | const
| inherited

Return the encoding of this object. This is a convenience method when just one object needs to be serialized. Use DER_Encoder for complicated encodings.

Definition at line 16 of file asn1_obj.cpp.

References Botan::ASN1_Object::encode_into().

Referenced by Botan::PSSR::config_for_x509(), Botan::Certificate_Store_In_SQL::find_all_certs(), Botan::Certificate_Store_In_SQL::find_cert(), Botan::X509_Certificate::fingerprint(), Botan::Certificate_Store_In_SQL::insert_cert(), Botan::X509_Object::PEM_encode(), and Botan::Certificate_Store_In_SQL::revoke_cert().

17 {
18 std::vector<uint8_t> output;
19 DER_Encoder der(output);
20 this->encode_into(der);
21 return output;
22 }
Botan::ASN1_Object::encode_into
virtual void encode_into(DER_Encoder &to) const =0

void Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::decode_from | ( | class BER_Decoder & | from | ) |
| override virtual

Decode whatever this object is from from

Parameters

  from | the BER_Decoder that will be read from

Implements Botan::ASN1_Object.

Definition at line 975 of file x509_ext.cpp.

References Botan::CONSTRUCTED, Botan::CONTEXT_SPECIFIC, Botan::BER_Decoder::decode_optional_implicit(), Botan::BER_Decoder::end_cons(), Botan::SEQUENCE, and Botan::BER_Decoder::start_cons().

976 {
977 ber.start_cons(SEQUENCE)
978 .start_cons(ASN1_Tag(0), CONTEXT_SPECIFIC)
979 .decode_optional_implicit(m_point, ASN1_Tag(0),
980 ASN1_Tag(CONTEXT_SPECIFIC | CONSTRUCTED),
981 SEQUENCE, CONSTRUCTED)
982 .end_cons().end_cons();
983 }
Botan::CONSTRUCTED
Definition: asn1_obj.h:28
Botan::ASN1_Tag
ASN1_Tag
Definition: asn1_obj.h:23
Botan::SEQUENCE
Definition: asn1_obj.h:40
Botan::CONTEXT_SPECIFIC
Definition: asn1_obj.h:26

void Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::encode_into | ( | class DER_Encoder & | to | ) | const
| override virtual

Encode whatever this object is into to

Parameters

  to | the DER_Encoder that will be written to

Implements Botan::ASN1_Object.

Definition at line 970 of file x509_ext.cpp.

971 {
972 throw Not_Implemented("CRL_Distribution_Points encoding");
973 }

const AlternativeName& Botan::Cert_Extension::CRL_Distribution_Points::Distribution_Point::point | ( |  | ) | const
| inline

Definition at line 670 of file x509_ext.h.

Referenced by Botan::Cert_Extension::CRL_Issuing_Distribution_Point::get_point().

670 { return m_point; }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp